Bug 1001668 - rhqctl.bat install --storage removes and re installs existing/installed storage service - windows
rhqctl.bat install --storage removes and re installs existing/installed stora...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Installer (Show other bugs)
4.9
x86_64 Linux
high Severity high (vote)
: ---
: RHQ 4.9
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: 951619
  Show dependency treegraph
 
Reported: 2013-08-27 09:40 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-24 15:09:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Armine Hovsepyan 2013-08-27 09:40:43 EDT
Description of problem:
rhqctl.bat install --storage removes and re installs existing/installed storage service - windows

Version-Release number of selected component (if applicable):
c0c77cc

How reproducible:
always

Steps to Reproduce:
1. run rhqctl.bat install 
2. wait until server is fully configured
3. run rhqctl.bat install --storage 

Actual results:
storage is stopped, removed and re-installed again

Expected results:
message telling that storage is already installed and running show be visible, storage installation should be skipped.


Additional info:
screen-shot  - > http://d.pr/i/2ZHZ

Same with agent. didn't check server.
Comment 1 Jay Shaughnessy 2013-08-29 11:42:43 EDT
To be clear, the storage node, or server or agent for that matter, were not re-installed. They are correctly detected as installed and left that way.  This only concerns the windows service handling.

The issue was that the services were stopped, removed, and then re-installed.  This could be an issue if the service configuration had been manually manipulated, or even if the service had been running.

Now, if the component is detected as installed, the service will only be installed if in fact it doesn't exist.  This allows for a service-only reinstall on Windows, by performing 'rhqctl remove [--component] and then 'rhqctl install [--component]'.


commit 1fd86a037994bf8c151ec10d63afec0435875d37
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Thu Aug 29 11:28:52 2013 -0400

    On Windows, When executing rhqctl install, don't re-install the service unless it is missing.
Comment 2 Armine Hovsepyan 2013-09-05 10:51:53 EDT
verified
screen-shot here -> http://d.pr/i/PfPs
Comment 3 Heiko W. Rupp 2013-09-24 15:09:34 EDT
Bulk closing of RHQ 4.9 verified items

Note You need to log in before you can comment on or make changes to this bug.